--
-- PostgreSQL database dump
--

-- Started on 2012-05-20 17:06:28

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 1873 (class 1262 OID 30603)
-- Name: GREPRESENTA; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE "GREPRESENTA" WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'Spanish_Spain.1252' LC_CTYPE = 'Spanish_Spain.1252';


\connect "GREPRESENTA"

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 344 (class 2612 OID 16386)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

--
-- TOC entry 1546 (class 1259 OID 32860)
-- Dependencies: 3
-- Name: com_s_user; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE com_s_user
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1531 (class 1259 OID 32707)
-- Dependencies: 3
-- Name: com_user; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE com_user (
    x_user character varying(255) NOT NULL,
    t_email character varying(255),
    c_id_number character varying(10),
    t_name character varying(255),
    t_surname1 character varying(255),
    t_surname2 character varying(255),
    t_telephone character varying(20)
);


--
-- TOC entry 1532 (class 1259 OID 32715)
-- Dependencies: 3
-- Name: com_user_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE com_user_vers (
    x_user character varying(255) NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    t_email character varying(255),
    c_id_number character varying(10),
    t_name character varying(255),
    t_surname1 character varying(255),
    t_surname2 character varying(255),
    t_telephone character varying(20)
);


--
-- TOC entry 1533 (class 1259 OID 32723)
-- Dependencies: 3
-- Name: grp_audit; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_audit (
    id integer NOT NULL,
    "timestamp" bigint NOT NULL,
    username character varying(255)
);


--
-- TOC entry 1534 (class 1259 OID 32728)
-- Dependencies: 3
-- Name: grp_document; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_document (
    x_docu bigint NOT NULL,
    b_document oid,
    c_ext_code character varying(100),
    t_format character varying(50),
    t_name character varying(255),
    b_pkcs7 oid,
    f_sign_date date,
    c_transaction character varying(100),
    t_type character varying(20),
    t_uri character varying(255)
);


--
-- TOC entry 1535 (class 1259 OID 32736)
-- Dependencies: 3
-- Name: grp_document_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_document_vers (
    x_docu bigint NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    b_document oid,
    c_ext_code character varying(100),
    t_format character varying(50),
    t_name character varying(255),
    b_pkcs7 oid,
    f_sign_date date,
    c_transaction character varying(100),
    t_type character varying(20),
    t_uri character varying(255)
);


--
-- TOC entry 1536 (class 1259 OID 32744)
-- Dependencies: 3
-- Name: grp_empowerment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment (
    x_empo bigint NOT NULL,
    t_num_emp character varying(20),
    v_emp_type character varying(1),
    v_granting_type character varying(1),
    c_attorney character varying(50) NOT NULL,
    c_grantor character varying(50) NOT NULL,
    f_end_val date,
    f_init_val date,
    proc_x_proc bigint
);


--
-- TOC entry 1537 (class 1259 OID 32749)
-- Dependencies: 3
-- Name: grp_empowerment_document; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment_document (
    docu_x_docu bigint NOT NULL,
    empo_x_empo bigint NOT NULL
);


--
-- TOC entry 1538 (class 1259 OID 32754)
-- Dependencies: 3
-- Name: grp_empowerment_document_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment_document_vers (
    docu_x_docu bigint NOT NULL,
    empo_x_empo bigint NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint
);


--
-- TOC entry 1539 (class 1259 OID 32759)
-- Dependencies: 3
-- Name: grp_empowerment_state; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment_state (
    x_emst bigint NOT NULL,
    f_end_date date,
    f_init_date date,
    empo_x_empo bigint,
    stat_x_stat character varying(10)
);


--
-- TOC entry 1540 (class 1259 OID 32764)
-- Dependencies: 3
-- Name: grp_empowerment_state_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment_state_vers (
    x_emst bigint NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    f_end_date date,
    f_init_date date,
    empo_x_empo bigint,
    stat_x_stat character varying(10)
);


--
-- TOC entry 1541 (class 1259 OID 32769)
-- Dependencies: 3
-- Name: grp_empowerment_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_empowerment_vers (
    x_empo bigint NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    t_num_emp character varying(20),
    v_emp_type character varying(1),
    v_granting_type character varying(1),
    c_attorney character varying(50),
    c_grantor character varying(50),
    f_end_val date,
    f_init_val date,
    proc_x_proc bigint
);


--
-- TOC entry 1542 (class 1259 OID 32774)
-- Dependencies: 3
-- Name: grp_procedure; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_procedure (
    x_proc bigint NOT NULL,
    c_procedure character varying(50) NOT NULL,
    l_confirm_emp character varying(1),
    d_procedure character varying(2500),
    c_ext_code character varying(100),
    n_max_emp integer,
    l_valid_proc character varying(1)
);


--
-- TOC entry 1543 (class 1259 OID 32782)
-- Dependencies: 3
-- Name: grp_procedure_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_procedure_vers (
    x_proc bigint NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    c_procedure character varying(50),
    l_confirm_emp character varying(1),
    d_procedure character varying(2500),
    c_ext_code character varying(100),
    n_max_emp integer,
    l_valid_proc character varying(1)
);


--
-- TOC entry 1547 (class 1259 OID 32862)
-- Dependencies: 3
-- Name: grp_s_document; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE grp_s_document
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1548 (class 1259 OID 32864)
-- Dependencies: 3
-- Name: grp_s_empowerment; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE grp_s_empowerment
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1549 (class 1259 OID 32866)
-- Dependencies: 3
-- Name: grp_s_empowerment_state; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE grp_s_empowerment_state
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1550 (class 1259 OID 32868)
-- Dependencies: 3
-- Name: grp_s_procedure; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE grp_s_procedure
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1544 (class 1259 OID 32790)
-- Dependencies: 3
-- Name: grp_state; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_state (
    x_stat character varying(10) NOT NULL,
    t_name character varying(20)
);


--
-- TOC entry 1545 (class 1259 OID 32795)
-- Dependencies: 3
-- Name: grp_state_vers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE grp_state_vers (
    x_stat character varying(10) NOT NULL,
    ver_rev integer NOT NULL,
    ver_rev_type smallint,
    t_name character varying(20)
);


--
-- TOC entry 1551 (class 1259 OID 32870)
-- Dependencies: 3
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1830 (class 2606 OID 32714)
-- Dependencies: 1531 1531
-- Name: com_user_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY com_user
    ADD CONSTRAINT com_user_pkey PRIMARY KEY (x_user);


--
-- TOC entry 1832 (class 2606 OID 32722)
-- Dependencies: 1532 1532 1532
-- Name: com_user_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY com_user_vers
    ADD CONSTRAINT com_user_vers_pkey PRIMARY KEY (x_user, ver_rev);


--
-- TOC entry 1834 (class 2606 OID 32727)
-- Dependencies: 1533 1533
-- Name: grp_audit_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_audit
    ADD CONSTRAINT grp_audit_pkey PRIMARY KEY (id);


--
-- TOC entry 1836 (class 2606 OID 32735)
-- Dependencies: 1534 1534
-- Name: grp_document_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_document
    ADD CONSTRAINT grp_document_pkey PRIMARY KEY (x_docu);


--
-- TOC entry 1838 (class 2606 OID 32743)
-- Dependencies: 1535 1535 1535
-- Name: grp_document_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_document_vers
    ADD CONSTRAINT grp_document_vers_pkey PRIMARY KEY (x_docu, ver_rev);


--
-- TOC entry 1842 (class 2606 OID 32753)
-- Dependencies: 1537 1537 1537
-- Name: grp_empowerment_document_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment_document
    ADD CONSTRAINT grp_empowerment_document_pkey PRIMARY KEY (docu_x_docu, empo_x_empo);


--
-- TOC entry 1844 (class 2606 OID 32758)
-- Dependencies: 1538 1538 1538 1538
-- Name: grp_empowerment_document_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment_document_vers
    ADD CONSTRAINT grp_empowerment_document_vers_pkey PRIMARY KEY (docu_x_docu, empo_x_empo, ver_rev);


--
-- TOC entry 1840 (class 2606 OID 32748)
-- Dependencies: 1536 1536
-- Name: grp_empowerment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment
    ADD CONSTRAINT grp_empowerment_pkey PRIMARY KEY (x_empo);


--
-- TOC entry 1846 (class 2606 OID 32763)
-- Dependencies: 1539 1539
-- Name: grp_empowerment_state_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment_state
    ADD CONSTRAINT grp_empowerment_state_pkey PRIMARY KEY (x_emst);


--
-- TOC entry 1848 (class 2606 OID 32768)
-- Dependencies: 1540 1540 1540
-- Name: grp_empowerment_state_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment_state_vers
    ADD CONSTRAINT grp_empowerment_state_vers_pkey PRIMARY KEY (x_emst, ver_rev);


--
-- TOC entry 1850 (class 2606 OID 32773)
-- Dependencies: 1541 1541 1541
-- Name: grp_empowerment_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_empowerment_vers
    ADD CONSTRAINT grp_empowerment_vers_pkey PRIMARY KEY (x_empo, ver_rev);


--
-- TOC entry 1852 (class 2606 OID 32781)
-- Dependencies: 1542 1542
-- Name: grp_procedure_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_procedure
    ADD CONSTRAINT grp_procedure_pkey PRIMARY KEY (x_proc);


--
-- TOC entry 1854 (class 2606 OID 32789)
-- Dependencies: 1543 1543 1543
-- Name: grp_procedure_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_procedure_vers
    ADD CONSTRAINT grp_procedure_vers_pkey PRIMARY KEY (x_proc, ver_rev);


--
-- TOC entry 1856 (class 2606 OID 32794)
-- Dependencies: 1544 1544
-- Name: grp_state_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_state
    ADD CONSTRAINT grp_state_pkey PRIMARY KEY (x_stat);


--
-- TOC entry 1858 (class 2606 OID 32799)
-- Dependencies: 1545 1545 1545
-- Name: grp_state_vers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY grp_state_vers
    ADD CONSTRAINT grp_state_vers_pkey PRIMARY KEY (x_stat, ver_rev);


--
-- TOC entry 1861 (class 2606 OID 32810)
-- Dependencies: 1536 1851 1542
-- Name: fk1d024ba164dc5378; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment
    ADD CONSTRAINT fk1d024ba164dc5378 FOREIGN KEY (proc_x_proc) REFERENCES grp_procedure(x_proc);


--
-- TOC entry 1865 (class 2606 OID 32830)
-- Dependencies: 1539 1855 1544
-- Name: fk327e7e53cf1e22f6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_state
    ADD CONSTRAINT fk327e7e53cf1e22f6 FOREIGN KEY (stat_x_stat) REFERENCES grp_state(x_stat);


--
-- TOC entry 1866 (class 2606 OID 32835)
-- Dependencies: 1839 1536 1539
-- Name: fk327e7e53d215ec00; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_state
    ADD CONSTRAINT fk327e7e53d215ec00 FOREIGN KEY (empo_x_empo) REFERENCES grp_empowerment(x_empo);


--
-- TOC entry 1867 (class 2606 OID 32840)
-- Dependencies: 1533 1833 1540
-- Name: fk41f4639ce00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_state_vers
    ADD CONSTRAINT fk41f4639ce00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1860 (class 2606 OID 32805)
-- Dependencies: 1535 1533 1833
-- Name: fk9fc747dae00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_document_vers
    ADD CONSTRAINT fk9fc747dae00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1869 (class 2606 OID 32850)
-- Dependencies: 1543 1533 1833
-- Name: fka880a1f6e00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_procedure_vers
    ADD CONSTRAINT fka880a1f6e00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1870 (class 2606 OID 32855)
-- Dependencies: 1545 1533 1833
-- Name: fkc4093bf8e00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_state_vers
    ADD CONSTRAINT fkc4093bf8e00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1868 (class 2606 OID 32845)
-- Dependencies: 1833 1541 1533
-- Name: fkc7e2b70ee00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_vers
    ADD CONSTRAINT fkc7e2b70ee00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1864 (class 2606 OID 32825)
-- Dependencies: 1533 1538 1833
-- Name: fke8014db6e00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_document_vers
    ADD CONSTRAINT fke8014db6e00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1862 (class 2606 OID 32815)
-- Dependencies: 1835 1537 1534
-- Name: fkf2fa2bf993400e42; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_document
    ADD CONSTRAINT fkf2fa2bf993400e42 FOREIGN KEY (docu_x_docu) REFERENCES grp_document(x_docu);


--
-- TOC entry 1863 (class 2606 OID 32820)
-- Dependencies: 1839 1537 1536
-- Name: fkf2fa2bf9d215ec00; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grp_empowerment_document
    ADD CONSTRAINT fkf2fa2bf9d215ec00 FOREIGN KEY (empo_x_empo) REFERENCES grp_empowerment(x_empo);


--
-- TOC entry 1859 (class 2606 OID 32800)
-- Dependencies: 1533 1833 1532
-- Name: fkf84f23c6e00922c4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY com_user_vers
    ADD CONSTRAINT fkf84f23c6e00922c4 FOREIGN KEY (ver_rev) REFERENCES grp_audit(id);


--
-- TOC entry 1875 (class 0 OID 0)
-- Dependencies: 3
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2012-05-20 17:06:29

--
-- PostgreSQL database dump complete
--

