package edu.uoc.tfc.j2ee.icampanario.components.authenticator;

import javax.servlet.http.HttpServletRequest;

import edu.uoc.tfc.j2ee.icampanario.components.authenticator.exception.AuthenticatorException;
import edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.domain.User;

/**
 * Interfaz del componente de autenticación
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public interface Authenticator {

	/**
	 * Obtiene la url de autenticación
	 * @param request Petición que contiene los parámetros para realizar la autenticación
	 * @return URL de autenticación
	 * @throws AuthenticatorException
	 */
	String getAuthenticationURL(HttpServletRequest request) throws AuthenticatorException;

	/**
	 * Realiza la autenticación del usuario
	 * @param request Petición que contiene los parámetros para realizar la autenticación
	 * @return Usuario autenticado
	 * @throws AuthenticatorException
	 */
	User authenticate(HttpServletRequest request) throws AuthenticatorException;

}
