package edu.uoc.tfc.j2ee.icampanario.components.authenticator;

import java.io.Serializable;

import edu.uoc.tfc.j2ee.icampanario.components.ComponentsFactory;

/**
 * Clase fábrica para el componente Authenticator
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class AuthenticatorFactory implements Serializable {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = -7133080025841423410L;
	
	/**
	 * Nombre del componente
	 */
	private static final String COMPONENT_NAME = "authenticator";
	
	/**
     * Creates a new default instance
     * @return Authenticator
     */
    public static Authenticator createInstance() {
        return (Authenticator) ComponentsFactory.createInstance(COMPONENT_NAME);
    }

}
