package edu.uoc.tfc.j2ee.icampanario.components.citizensManager;

import java.util.List;

import edu.uoc.tfc.j2ee.icampanario.components.citizensManager.exception.CitizensManagerException;
import edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.domain.User;

/**
 * 
 * Interfaz del componente que gestiona los ciudadanos
 * que harán uso del aplicativo.
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public interface CitizensManager {
	
	/**
	 * Realiza una búsqueda a partir de los datos de un usuario
	 * y devuelve los identificadores de los que coincidan
	 * @param user Datos del usuario a buscar
	 * @return Lista de identificadores de usuarios cuyos datos
	 * coinciden con la búsqueda
	 * @throws CitizensManagerException
	 */
	List<String> find(User user) throws CitizensManagerException;
	
	/**
	 * Obtiene un usuario cuyo identificador sea el indicado  
	 * @param id Identificador del usuario
	 * @return Usuario
	 * @throws CitizensManagerException
	 */
	User get(String id) throws CitizensManagerException;

}
