package edu.uoc.tfc.j2ee.icampanario.components.citizensManager;

import java.io.Serializable;

import edu.uoc.tfc.j2ee.icampanario.components.ComponentsFactory;

/**
 * Clase fábrica para el componente CitizensManager
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class CitizensManagerFactory implements Serializable {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = 273322479572529043L;
	
	/**
	 * Nombre del componente
	 */
	private static final String COMPONENT_NAME = "citizens";
	
	/**
     * Crea una nueva instancia del componente CitizensManager
     * @return CitizensManager
     */
    public static CitizensManager createInstance() {
        return (CitizensManager) ComponentsFactory.createInstance(COMPONENT_NAME);
    }

}
