package edu.uoc.tfc.j2ee.icampanario.components.clientsigner.exception;

/**
 * Clase para excepciones al cargar el cliente de @firma
 *
 * @author Ismael Campanario Cabrera
 *
 */
public class ClientSignerException extends Exception {

	/**
     * serial version uid
     */
    private static final long serialVersionUID = 4974627179954227971L;

    /**
     * Código de error
     */
	private int errorCode;

	/**
     * Constructor
     *
     * @param error Código de error
     * @param message Mensaje del error
     */
	public ClientSignerException(int error, String message) {
        super(message);
        this.errorCode = error;
    }

	/**
     * Constructor
     *
     * @param message Mensaje del error
     */
	public ClientSignerException(String message) {
        super(message);
    }

	/**
     * Constructor
     *
     * @param error Código de error
     * @param message Mensaje del error
     * @param e Exception
     */
	public ClientSignerException(int error, String message, Exception e) {
        super(message, e);
        this.errorCode = error;
    }

	 /**
     * Constructor
     *
     * @param e Exception
     */
	public ClientSignerException(Exception e) {
        super(e);
    }

	/**
     * Devuelve el código de error
     *
     * @return int
     */
	public int getErrorCode() {
		return errorCode;
	}

	/**
     * Establece el código de error
     *
     * @param errorCode
     */
	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
}
