package edu.uoc.tfc.j2ee.icampanario.components.clientsigner.util;

import javax.servlet.http.HttpServletRequest;

/**
 * Clase de utilidad para tratar las peticiones (request)
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public final class RequestUtils {

    /**
     * Constructor privado para la clase de utilidad.
     */
    private RequestUtils() {
    }

    /**
     * Recupera la ruta de la petición del servlet.
     * @param request Petición
     * @return Ruta
     */
    public static String getServletPath(HttpServletRequest request) {
        String servletPath = request.getServletPath();

        if (null != servletPath && !"".equals(servletPath)) {
            return servletPath;
        }

        String requestUri = request.getRequestURI();
        int startIndex = request.getContextPath().equals("") ? 0 : request.getContextPath().length();
        int endIndex = request.getPathInfo() == null ? requestUri.length() : requestUri.lastIndexOf(request.getPathInfo());

        if (startIndex > endIndex) {
            endIndex = startIndex;
        }

        return requestUri.substring(startIndex, endIndex);
    }

}
