package edu.uoc.tfc.j2ee.icampanario.components.documentsManager;

import edu.uoc.tfc.j2ee.icampanario.components.documentsManager.exception.DocumentsManagerException;
import edu.uoc.tfc.j2ee.icampanario.components.signer.SignDocument;

/**
 * Componente que gestiona la documentación y permite
 * el envío a un gestor documental externo al aplicativo
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public interface DocumentsManager {
	
	/**
	 * Persiste el documento
	 * @param document Documento
	 * @throws DocumentsManagerException
	 */
	void save(SignDocument document) throws DocumentsManagerException;
	
	/**
	 * Obtiene el documento identificado por el id indicado 
	 * @param id Identificador del documento
	 * @return Documento
	 * @throws DocumentsManagerException
	 */
	SignDocument get(String id) throws DocumentsManagerException;

}
