package edu.uoc.tfc.j2ee.icampanario.components.documentsManager;

import java.io.Serializable;

import edu.uoc.tfc.j2ee.icampanario.components.ComponentsFactory;

/**
 * Clase fábrica para el componente que gestiona el
 * envío de los documentos a un gestor documental 
 * externo al aplicativo
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class DocumentsManagerFactory implements Serializable {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = -338416742157877251L;
	
	/**
	 * Nombre del componente
	 */
	private static final String COMPONENT_NAME = "docsManager";
	
	/**
     * Constructor
     * @return DocumentsManagerFactory
     */
    public static DocumentsManager createInstance() {
        return (DocumentsManager) ComponentsFactory.createInstance(COMPONENT_NAME);
    }

}
