package edu.uoc.tfc.j2ee.icampanario.components.documentsManager.exception;

/**
 * Clase para las excepciones del componente DocumentsManager
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class DocumentsManagerException extends Exception {
	
	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = 9116578542852416686L;
	
	/**
     * Código de error
     */
    private int errorCode;

    /**
     * Constructor
     *
     * @param error Código de error
     * @param message Mensaje de error
     */
    public DocumentsManagerException(int error, String message) {
        super(message);
        this.errorCode = error;
    }

    /**
     * Constructor
     *
     * @param message Mensaje de error
     */
    public DocumentsManagerException(String message) {
        super(message);
    }

    /**
     * Constructor
     *
     * @param error Código de error
     * @param message Mensaje de error
     * @param e Exception original
     */

    public DocumentsManagerException(int error, String message, Exception e) {
        super(message, e);
        this.errorCode = error;
    }

    /**
     * Constructor
     *
     * @param e Exception original
     */
    public DocumentsManagerException(Exception e) {
        super(e);
    }

    /**
     * Devuelve el código de error
     * @return int Código de error
     */
    public int getErrorCode() {
        return errorCode;
    }

    /**
     * Establece el código de error
     * @param errorCode Código de error
     */
    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

}
