package edu.uoc.tfc.j2ee.icampanario.components.signer;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Transacción de una firma digital
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class SignTransaction implements Serializable {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = 2261684380892485842L;
	
	/**
     * Documentos a firmar.
     */
    private List<SignDocument> documents = new ArrayList<SignDocument>();

    /**
     * Identificador de la transacción
     */
    private String id;

    /**
     * Identificador del usuario
     */
    private String user;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public List<SignDocument> getDocuments() {
		return documents;
	}
	
	public void addDocument(SignDocument document) {
        documents.add(document);
    }
}