package edu.uoc.tfc.j2ee.icampanario.components.signer;

import javax.servlet.http.HttpServletRequest;

import edu.uoc.tfc.j2ee.icampanario.components.signer.exception.SignerException;

/**
 * 
 * Interfaz del componente que permite realizar la firma
 * digital del documento
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public interface Signer {
	
	/**
	 * Inicializa la firma digital de documento
	 * @param signTransaction Transacción de firma
	 * @param request Petición de la que se recogen los parámetros para la firma digital
	 * @throws SignerException
	 */
	void initSign(SignTransaction signTransaction, HttpServletRequest request) throws SignerException;
	
	/**
	 * Finaliza la firma digital del documento
	 * @param signTransaction Transacción de firma
	 * @param request Petición de la que se recogen los parámetros para la firma digital
	 * @throws SignerException
	 */
	void sign(SignTransaction signTransaction, HttpServletRequest request) throws SignerException;

}
