package edu.uoc.tfc.j2ee.icampanario.components.signer.exception;

/**
 * Clase para las excepciones del componente Signer
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class SignerException extends Exception {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = 7480558265690417310L;
	
	/**
     * Código de error
     */
	private int errorCode;

	/**
	 * Constructor
	 * @param error Código de error
	 * @param message Mensaje de error
	 */
	public SignerException(int error, String message) {
        super(message);
        this.errorCode = error;
    }

	/**
	 * Constructor
	 * @param message Mensaje de error
	 */
	public SignerException(String message) {
        super(message);
    }

	/**
	 * Constructor
	 * @param error Código de error
	 * @param message Mensaje de error
	 * @param e Exception original
	 */
	public SignerException(int error, String message, Exception e) {
        super(message, e);
        this.errorCode = error;
    }

	/**
	 * Constructor
	 * @param e Exception original
	 */
	public SignerException(Exception e) {
        super(e);
    }

	/**
	 * Devuelve el código de error
	 * @return Código de error
	 */
	public int getErrorCode() {
		return errorCode;
	}

	/**
	 * Establece el código de error
	 * @param errorCode Código de error
	 */
	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
}
