package edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.domain;

import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.envers.DefaultRevisionEntity;
import org.hibernate.envers.RevisionEntity;

/**
 * Gestiona la auditoría de los datos
 * 
 * @author Ismael Campanario Cabrera
 *
 */
@Entity
@Table(name = "GRP_AUDIT")
@RevisionEntity(AuditListener.class)
public class AuditEntity extends DefaultRevisionEntity {

    /**
	 * Atributo para serializar
	 */
	private static final long serialVersionUID = -8709573796946561883L;

	/**
	 * Nombre del usuario
	 */
	private String username;

	/**
	 * Devuelve el usuario
	 * @return usuario
	 */
    public String getUsername() {
        return username;
    }

    /**
     * Modifica el usuario
     * @param username usuario
     */
    public void setUsername(String username) {
        this.username = username;
    }

}