package edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.domain;

import org.hibernate.envers.RevisionListener;
import org.jboss.seam.Component;

/**
 * Listener para obtener el usuario que realiza la acción
 * y auditarla 
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class AuditListener implements RevisionListener {

    /**
     * Cuando se vaya a guardar un registro se introduce el usuario que realiza la acción
     * @param revisionEntity revision
     */
    public void newRevision(Object revisionEntity) {

    	AuditEntity revEntity = (AuditEntity) revisionEntity;
		User user = (User) Component.getInstance("user");
		revEntity.setUsername(user.getId());
    }
}
