package edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.services;

import edu.uoc.tfc.j2ee.icampanario.grepresenta.persistence.domain.Procedure;

import java.util.List;

/**
 * Interfaz del servicio que gestiona los procedimientos
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public interface ProcedureQueryServiceDAO {

	/**
     * Devuelve todos los procedimientos
     * @param idGrantor poderdante (usuario logado)
     * @return los procedimientos
     */
	List<Procedure> getAllProcedure(String idGrantor);

	/**
     * Si un procedimiento admite mas apoderamientos
     * @param idGrantor poderdante (usuario logado)
     * @param idProc id procedimiento
     * @return los procedimientos
     */
    boolean isProcedureAvaliableForGrantor(Long idProc ,String idGrantor);

	/**
	 * Devuelve todos los procedimientos
	 * @return los procedimientos
	 */
	List<Procedure> getProcedures();

	/**
	 * Crea un procedimiento
	 * @param procedure procedimiento a crear
	 */
	void create(Procedure procedure);

	/**
	 * Modifica un procedimiento
	 * @param procedure procedimiento a modificar
	 */
	void update(Procedure procedure);

	/**
	 * Eliminar un procedimiento
	 * @param procedure procedimiento a eliminar
	 */
	void delete(Procedure procedure);


}
