package edu.uoc.tfc.j2ee.icampanario.grepresenta.useful.certs;

import java.util.HashMap;
import java.util.Map;

import edu.uoc.tfc.j2ee.icampanario.grepresenta.useful.report.SignerData;

/**
 * Certificado de la FNMT
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class FNMTCertificateImpl implements Certificate {
	
	public static final String SUBJECT_CN = "CN";
	public static final String SUBJECT_SERIALNUMBER = "SERIALNUMBER";
	public static final String SUBJECT_ENTITY = "ENTIDAD";
	public static final String SUBJECT_CIF = "CIF";
	public static final String SUBJECT_NAME = "NOMBRE";
	public static final String SUBJECT_NIF = "NIF";
	public static final String SUBJECT_SIGN = "(FIRMA)";

	public SignerData parse(Map<String, String> subjectDNMap) {
		SignerData dataSigner = new SignerData();
		
		String name = "- " + subjectDNMap.get(SUBJECT_CN);
		String[] nameAux = name.split("-");
		
		Map<String, String> nameMap = new HashMap<String, String>();
		
		for (String nameItem : nameAux) {
			String key = "";
			String value = "";
			if (nameItem.trim().startsWith(SUBJECT_ENTITY)) {
				key = SUBJECT_ENTITY;
				value = nameItem.substring(nameItem.indexOf(SUBJECT_ENTITY) + 7).trim();
			}
			if (nameItem.trim().startsWith(SUBJECT_CIF)) {
				key = SUBJECT_CIF;
				value = nameItem.substring(nameItem.indexOf(SUBJECT_CIF) + 3).trim();
			}
			if (nameItem.trim().startsWith(SUBJECT_NAME)) {
				key = SUBJECT_NAME;
				value = nameItem.substring(nameItem.indexOf(SUBJECT_NAME) + 6).trim();
			}
			if (nameItem.trim().startsWith(SUBJECT_NIF)) {
				key = SUBJECT_NIF;
				value = nameItem.substring(nameItem.indexOf(SUBJECT_NIF) + 3).trim();
			}
			if (!"".equals(key) && !"".equals(value) ) {
				nameMap.put(key, value);
			}
		}
		
		name = nameMap.get(SUBJECT_NAME);
		if (nameMap.containsKey(SUBJECT_ENTITY)) { // Es de tipo 4
			name = SUBJECT_ENTITY 
					+ " " 
					+ nameMap.get(SUBJECT_ENTITY) 
					+ " - " 
					+ SUBJECT_CIF 
					+ " " 
					+ nameMap.get(SUBJECT_CIF)
					+ " - " 
					+ nameMap.get(SUBJECT_NAME)
					;
		}
		
		dataSigner.setId(nameMap.get(SUBJECT_NIF));
		dataSigner.setName(name);
		
		return dataSigner;
	}

}
