package edu.uoc.tfc.j2ee.icampanario.grepresenta.useful.report;

import java.util.Date;

/**
 * Datos del firmante del documento
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class SignerData implements Comparable<SignerData> {
	
	String name;
	String id;
	Date date;
	String prefix;
	String transactionId;
	
	public SignerData() {
		
	}
	
	public SignerData(String name, String id, Date date, String transactionId) {
		super();
		this.name = name;
		this.id = id;
		this.date = date;
		this.transactionId = transactionId;
		this.prefix = "";
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public String getTransactionId() {
		return transactionId;
	}
	public void setTransactionId(String transactionId) {
		this.transactionId = transactionId;
	}
	
	public int compareTo(SignerData data) {
		// Para ordenar la lista de mayor a menor, por fechas.
		return this.date.compareTo(data.getDate()) * -1;
	}

}
